> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.now/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Backtests

> List all backtest jobs for a client



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/:
    get:
      tags:
        - api
      description: List all backtest jobs for a client
      operationId: api_v1_custom_org_clients_accounts_backtests_list
      parameters:
        - in: path
          name: account_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: client_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomizationBacktestJobListList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedCustomizationBacktestJobListList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/CustomizationBacktestJobList'
    CustomizationBacktestJobList:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        status:
          allOf:
            - $ref: '#/components/schemas/ScenarioAnalysisJobStatusEnum'
          readOnly: true
        params:
          allOf:
            - $ref: '#/components/schemas/StartBacktestRequest'
          readOnly: true
          nullable: true
        resolved_params:
          allOf:
            - $ref: '#/components/schemas/BacktestResolvedParams'
          nullable: true
          readOnly: true
        progress:
          allOf:
            - $ref: '#/components/schemas/BacktestProgress'
          nullable: true
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        started_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        finished_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - created_at
        - finished_at
        - id
        - params
        - progress
        - resolved_params
        - started_at
        - status
    ScenarioAnalysisJobStatusEnum:
      enum:
        - PENDING
        - RUNNING
        - SUCCESS
        - FAILURE
      type: string
      description: |-
        * `PENDING` - PENDING
        * `RUNNING` - RUNNING
        * `SUCCESS` - SUCCESS
        * `FAILURE` - FAILURE
    StartBacktestRequest:
      type: object
      properties:
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        rebalance_period:
          allOf:
            - $ref: '#/components/schemas/StartBacktestRequestRebalancePeriodEnum'
          default: MONTHLY
        tax_gamma:
          type: number
          format: double
          maximum: 100
          minimum: 0
        tax_loss_threshold_bps:
          type: number
          format: double
          maximum: 5000
          minimum: 0
        starting_nav:
          type: number
          format: double
          maximum: 1000000000
          minimum: 100
        ls_tlh_factor:
          $ref: '#/components/schemas/LsTlhFactorEnum'
    BacktestResolvedParams:
      type: object
      properties:
        start_date:
          type: string
          format: date
        end_date:
          type: string
          format: date
        rebalance_period:
          $ref: '#/components/schemas/BacktestResolvedParamsRebalancePeriodEnum'
        starting_nav:
          type: number
          format: double
        tax_gamma:
          type: number
          format: double
          nullable: true
        tax_loss_threshold_bps:
          type: number
          format: double
          nullable: true
      required:
        - end_date
        - rebalance_period
        - start_date
        - starting_nav
        - tax_gamma
        - tax_loss_threshold_bps
    BacktestProgress:
      type: object
      properties:
        planned_periods:
          type: integer
        completed_periods:
          type: integer
        last_completed_period:
          type: string
          format: date
          nullable: true
        last_progress_at:
          type: string
          format: date-time
          nullable: true
      required:
        - completed_periods
        - last_completed_period
        - last_progress_at
        - planned_periods
    StartBacktestRequestRebalancePeriodEnum:
      enum:
        - MONTHLY
      type: string
      description: '* `MONTHLY` - MONTHLY'
    LsTlhFactorEnum:
      enum:
        - quality
        - value
        - growth
      type: string
      description: |-
        * `quality` - quality
        * `value` - value
        * `growth` - growth
    BacktestResolvedParamsRebalancePeriodEnum:
      enum:
        - MONTHLY
        - WEEKLY
      type: string
      description: |-
        * `MONTHLY` - MONTHLY
        * `WEEKLY` - WEEKLY
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.